﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace XmlDSigEx
{
    class ExcC14NTransformProvider : ITransformProvider
    {
        public bool CanHandle(string uri)
        {
            return uri == ExcXmlC14NCanonicalisation.URI_EXC_C14N || uri == ExcXmlC14NCanonicalisation.URI_EXC_C14N + "WithComments";
        }

        public ITransform GetTransform(System.Xml.XmlDocument documentContext)
        {
            return new ExcC14NTransform();
        }
    }
}
