﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;

namespace XmlDSigEx
{
    class NullTransform:ITransform
    {
        private string _uri;

        internal NullTransform(string uri)
        {
            _uri = uri;
        }
        public bool SupportsInputType(Type inputType)
        {
            return true;
        }

        public object Process(object input, XmlElement transformElement)
        {
            return input;
        }

        public void WriteXml(System.Xml.XmlWriter writer)
        {
        }

        public string Uri
        {
            get { return _uri; ; }
        }
    }
}
