﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Xml;

namespace XmlDSigEx
{
    public interface ICanonicalisationAlgorithm
    {
        Stream ProcessOctetStream(Stream stream, bool withComments);
        Stream ProcessNodeSet(XmlNodeList nodeSet, bool withComments);
        Stream ProcessNodeSet(List<XmlNode> nodeSet, bool withComments);
    }
}
