﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Xml;

namespace XmlDSigEx
{
    public interface ISignatureAlgorithm
    {
        byte[] SignData(Stream data, string signatureAlgorithm);
        bool VerifySignature(Stream data, byte[] signature, string signatureAlgorithm);
        void WriteKeyInfo(XmlWriter writer);
        bool WillWriteKeyInfo { get; }
    }
}
